Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [composer]

Composer is a tool to manage dependencies in PHP. It supports fetching dependencies from different sources like Git, SVN, PEAR, the local filesystem, etc. and also offers automated autoloading support.

2
votes
5answers
3k views

Magento Installation Error - Magento 2

I have uploaded Magento2 source code on centos Rackspace server, and I have changed credentials whenever required, but when I run my website, I get an error like "Vendor autoload is not found. Please ...
1
vote
5answers
509 views

Magento 2 Install extension but not upgrade Magento via composer

So if I understand it right the php bin/magento setup:upgrade is used for both, upgrading magento 2 and also for installing extensions via composer. How can I just install the extension without ...
1
vote
5answers
869 views

Magento 2 - No Theme after installation

I had "magento 2" installed with composer. the installation is running correctly. Now, when I look at the backend or the frontend no Theme appears. What could be wrong? I have also tried it with the ...
3
votes
3answers
76 views

How to solve this error?

I am trying to upgrade magento version from 2.1.9 to 2.1.10 I got following error. Module 'Magento_Ui' from '/home/zitomer/upgrade.zitomer.com/app/code/Magento/Ui' has been already defined in '...
2
votes
3answers
30 views

How to install composer in magento

I am trying to install composer using "composer install" from my command terminal display error.
2
votes
3answers
333 views

Magento 2.1.9 Composer error

I'm getting the following error using Magento 2.1.9: "Package magento/composer's source key should be specified as {"type": ..., "url": ..., "reference": ...}, {"type":"git","url":"https:\/\/github....
2
votes
2answers
35 views

Composer merge conflicts

We have a develop branch. Every new feature gets created on a branch that runs off the develop branch. Then a pull request is made to the develop branch. This triggers our CI/CD and slowly but ...
1
vote
2answers
32 views

Stop composer replacing the .htacces file

When updating Magento 2 via Composer, the .htaccess file in the Magento root directory gets overwritten with the default repository version. Therefore losing my customisations, which I have to go in ...
1
vote
2answers
720 views

Unsupported declare 'strict_types' in Magento 2.3.0

Error : Unsupported declare strict_types in ../vendor/magento/inventory-composer-installer while install the extension using composer in Magento 2.3.0.
1
vote
2answers
388 views

Magento 2 Composer Error While Installing Tawk.to extension

I'm trying to install Tawk.to chat in my Magento 2.1.9 shopping site hosted on a cPanel shared server environment. And I downloaded the extension files following the guidelines are given here: ...
1
vote
2answers
1k views

Magento 2: Composer install for my own module

I'm have my own magento 2 module. It's allready uploaded on Gitlab. What i must do to install this module using composer require?
0
votes
2answers
749 views

Outdated Amazon_core after composer update (Magento 2.2.4)

I am getting this error: Amazon_Core db schema version: defined in codebase - 2.0.12, currently installed - 2.0.4 and Amazon_Core db data version: defined in codebase - 2.0.12, currently installed -...
0
votes
2answers
295 views

Magento 2 data migration RuntimeException

I am learning how to convert Magento 1.x to Magento 2.x I installed fresh Magento ver. 1.9.3.8 from GitHub mirror and fresh Magento 2.2.3 using composer maddy@maddy:/var/www/html/magento-composer$ ...
0
votes
2answers
634 views

Can't upgrade to 2.2.3 from 2.2.2. Memory limit reached

I'm trying to upgrade my Magento installation but experiencing problems with the process: I was trying to update my site to the latest release as advised and I did so via the command line but I ran ...
0
votes
2answers
1k views

Win 10, WAMP, Magento 2.x install using either method help

Is there a detail and current guide for a newbie to install Magento 2 in my test environment? I am good at following detail instructions. I have spent over 3 days downloading and reading html and you ...
0
votes
2answers
2k views

Magento 2: Cannot load my library using composer

Sorry for the lengthy message. I just wanted to provide as much information as possible. I am writing a new module. I have a custom library that I need to load to use in my module. I have the ...
0
votes
1answer
143 views

How to fix error in Web Setup Wizard - Command “show” failed: [Composer\Downloader\TransportException]

This is the error when I click on Extension Manager: Command "show" failed: [Composer\Downloader\TransportException] The 'https://repo.wyomind.com/packages.json' URL required authentication. You must ...
0
votes
1answer
42 views

Magento 2 load component composer dependencies

I am trying to develop simple Magento 2 module. Accoding to Composer integration guide I had to put all my dependencies into composer.json file into my module root. According to Default File Structure ...
0
votes
1answer
48 views

Magento 2 install package with composer without SSL

I am trying to install a package composer config repositories.swissup composer http://swissup.github.io/packages/ Which result in this error Your configuration does not allow connections to http:...
0
votes
1answer
116 views

Customer_Eav db schema version is not properly set

I am using Magento 2.2.5 and getting this error. 1 exception(s): Exception #0 (Magento\Framework\Exception\LocalizedException): Please update your modules: Run "composer install" from the Magento ...
0
votes
1answer
108 views

Magento 2.1.3 to 2.2.5 Upgrade Checksum verification of the file failed

I stumbled into this problem while upgrading Magento 2.1.3 to 2.2.5 via composer update. Any ideas?
0
votes
1answer
42 views

Magento 2 Hardware Requirement confusion and Upgrading on Live server confusion

I have worked with Magento1 and Magento2 both. But All of my Magento2 projects are hosted under dedicated server and the permission of Upgrading and Building using composer is given by the client. So ...
0
votes
1answer
337 views

Check Component Dependency, no obvious error

I am creating a test environment for magento, hoping that I can replicate later for some work on it, and have come up an issue on Check Component Dependency. the base config is as followed: Specs ...
0
votes
1answer
222 views

Install extension via composer - permission denied

I try Install via composer free extension Magento 2 SMTP. installation guide: https://www.mageplaza.com/magento-2-smtp/download/ I run first command: php composer.phar require mageplaza/module-...
0
votes
1answer
48 views

Composer Error While upgrading magento version 2.1.6 to 2.2.2

I am trying to upgrade the magento version from 2.1.6 to 2.2.2. I am using composer to upgrade the version. I have used below commands composer require magento/product-community-edition 2.2.2 --no-...
0
votes
1answer
661 views

How to use a library using composer in a Magento 2 module

At the moment I'm developing a module for Magento 2. I'm using a third party library ("twizo/lib-api-php") and installed it using composer. When I use a class from this library, Magento gives me the ...
0
votes
1answer
46 views

Magento 2: Error After Installing Sample Data using Composer

Im using Magento 2.1.8 and I already installed the sample data using composer but after running this commands setup:upgrade, setup:di:compile, indexer:reindex, cache:clean, cache:flush and changing ...
0
votes
1answer
568 views

Why wont my extension update using composer?

I am trying to update Amasty Layered Navigation. Following their documentation it says to type in the command- composer update amasty/shopby When I do that it says Package "amasty/shopby" listed ...
0
votes
1answer
96 views

How upgrade magento 2 via composer to alternative version PHP

Alternate version php 7.0.24 - my site. Native version PHP 5.2.6 - my server. Composer doesn't want to update magento (it defined version PHP 5.2.6). How to specify for the script an alternative ...
0
votes
1answer
399 views

Magento 2 - Stuck Checkout loader

Checkout loader gets stuck while processing an order, but the order is proceeding. I found an error in console. I have attached an image of what is happening, and a screen grab of the javascript ...
0
votes
1answer
198 views

Magento 2 Upgrade Issue using composer

I am trying to upgrade Magento 2.1.1 to Magento 2.1.9 using following command. composer require magento/product-community-edition 2.1.9 –-no-update Following composer.json of root directory. { "...
0
votes
1answer
306 views

Composer installing my magento 1 extension to /vendor but not copying to /app

I have built a Magento 1 extension which is available as a repo here: https://github.com/BenGrant123/Duel_Emails/ Following this guide (http://magebase.com/magento-tutorials/how-to-make-magento-...
0
votes
1answer
98 views

There has been an error processing your request - could not read auth.json (composer issue)

I can still access my website through its domain but when I try to access the admin panel, it asks for my login but as soon as I login I receive the error: There has been an error processing your ...
0
votes
1answer
283 views

Magento 2 module not installing via composer correctly

Currently trying to get a staging instance up and running. I have run ./composer install and it starts installing fine. I added my keys when it asks for me to authenticate with repo.magento.com and it ...
0
votes
1answer
44 views

Marketplace Release - Extension Using External Composer Packages

I'm using some composer packages (like microsoft/application-insights) in the extension I've developed and now that I'm trying to submit the extension for technical review I've got a lot of errors for ...
0
votes
1answer
19 views

Static Files Migration from development to production error in admin panel

I have updated pub/static/frontend/ from local to live, and getting following error when adding order by admin, Can anybody help me? Magento Fatal error: Interface 'Composer\Package\...
0
votes
1answer
45 views

Try to install magento migration tool fails

When i try to install the migration tool from magento i get errors. ( see image ) Hope some one can help me out. Now i have it installed and frond end and backend gives error : There has been an ...
0
votes
1answer
99 views

Magento 2 : Where Put External Dependency?

I'm developing module to call REST API and I want to use an external package via composer. In which composer.json I should put dependency? In composer.json in root directory or composer.json in module ...
0
votes
1answer
94 views

How to config file conposer.json for namespace Module magento2?

I tried use to validate_m2_package.php to confign my module for Magento 2 upto marketplace. This is structure my folder: Namespace ---- ModuleBase ------ composer.json ------ registration.php ---- ...
0
votes
1answer
19 views

Magento2 Installtion errors on windows through composer

I am facing a problem while making a installation of magento2 by composer i got the following error after a consecutive successful downloading of some modules. Can one please help me to sort out this. ...
0
votes
1answer
145 views

Magento 1.9.0.2 migration to 2.0.7 clean install error: “composer.json” cannot be found

When I issue this command on bash shell (Copied directly from this here): composer config repositories.data-migration-tool git https://github.com/magento/data-migration-tool I get the following ...
0
votes
1answer
61 views

migration from magento 1.9 to magento 2.0.2 using composer

I'm trying to download magento2 from git using composer I always see this warning about Xdebug I uncomment the line zend_extension in my php.ini file but I have the same warning can any one give me ...
0
votes
1answer
64 views

Composer issues while upgrading Magento 2.0rc to 2.0

I have installed Magento 2.0 rc in AWS and tried to update my composer.json to update it to Magento 2.0. Ran the command sudo composer config composer.json but received an red box with the error ...